Page MenuHomePhabricator

Undefined property: stdClass::$src in TokenUtils.php::tokensToString
Closed, ResolvedPublicBUG REPORT

Description

See https://logstash.wikimedia.org/goto/4b56dcd113623e21aad0415a0b385047 (24 hour period between Thu evening CT and Friday evening CT)

There are 13 instances of this error.

#0 /srv/deployment/parsoid/deploy/src/src/Utils/TokenUtils.php(597): MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/deployment/parsoid/deploy/src/src/Wt2Html/TT/ExternalLinkHandler.php(172): Parsoid\Utils\TokenUtils::tokensToString(array, boolean, array)
#2 /srv/deployment/parsoid/deploy/src/src/Wt2Html/TT/ExternalLinkHandler.php(271): Parsoid\Wt2Html\TT\ExternalLinkHandler->onExtLink(Parsoid\Tokens\SelfclosingTagTk)
#3 /srv/deployment/parsoid/deploy/src/src/Wt2Html/TT/TokenHandler.php(211): Parsoid\Wt2Html\TT\ExternalLinkHandler->onTag(Parsoid\Tokens\SelfclosingTagTk)
#4 /srv/deployment/parsoid/deploy/src/src/Wt2Html/TokenTransformManager.php(120): Parsoid\Wt2Html\TT\TokenHandler->process(array)
#5 /srv/deployment/parsoid/deploy/src/src/Wt2Html/TokenTransformManager.php(192): Parsoid\Wt2Html\TokenTransformManager->processChunk(array)
#6 /srv/deployment/parsoid/deploy/src/src/Wt2Html/TokenTransformManager.php(190): Parsoid\Wt2Html\TokenTransformManager->processChunkily(string, array)
#7 /srv/deployment/parsoid/deploy/src/src/Wt2Html/HTML5TreeBuilder.php(431): Parsoid\Wt2Html\TokenTransformManager->processChunkily(string, array)
#8 [internal function]: Parsoid\Wt2Html\HTML5TreeBuilder->processChunkily(string, array)
#9 /srv/deployment/parsoid/deploy/src/src/Wt2Html/DOMPostProcessor.php(883): Generator->current()
#10 /srv/deployment/parsoid/deploy/src/src/Wt2Html/ParserPipeline.php(148): Parsoid\Wt2Html\DOMPostProcessor->processChunkily(string, array)
#11 /srv/deployment/parsoid/deploy/src/src/Wt2Html/ParserPipeline.php(198): Parsoid\Wt2Html\ParserPipeline->parseChunkily(string, array)
#12 /srv/deployment/parsoid/deploy/src/src/Wt2Html/ParserPipelineFactory.php(308): Parsoid\Wt2Html\ParserPipeline->parseToplevelDoc(string, array)
#13 /srv/deployment/parsoid/deploy/src/src/WikitextContentModelHandler.php(73): Parsoid\Wt2Html\ParserPipelineFactory->parse(string)
#14 /srv/deployment/parsoid/deploy/src/src/Parsoid.php(56): Parsoid\WikitextContentModelHandler->toHTML(Parsoid\Config\Env)
#15 /srv/deployment/parsoid/deploy/src/src/Parsoid.php(77): Parsoid\Parsoid->parseWikitext(MWParsoid\Config\PageConfig, array)
#16 /srv/deployment/parsoid/deploy/src/extension/src/Rest/Handler/ParsoidHandler.php(427): Parsoid\Parsoid->wikitext2html(MWParsoid\Config\PageConfig, array)
#17 /srv/deployment/parsoid/deploy/src/extension/src/Rest/Handler/TransformHandler.php(64): MWParsoid\Rest\Handler\ParsoidHandler->wt2html(Parsoid\Config\Env, array, string)
#18 /srv/mediawiki/php-1.34.0-wmf.23/includes/Rest/Router.php(307): MWParsoid\Rest\Handler\TransformHandler->execute()
#19 /srv/mediawiki/php-1.34.0-wmf.23/includes/Rest/Router.php(286): MediaWiki\Rest\Router->executeHandler(MWParsoid\Rest\Handler\TransformHandler)
#20 /srv/mediawiki/php-1.34.0-wmf.23/includes/Rest/EntryPoint.php(112): MediaWiki\Rest\Router->execute(MediaWiki\Rest\RequestFromGlobals)
#21 /srv/mediawiki/php-1.34.0-wmf.23/includes/Rest/EntryPoint.php(79): MediaWiki\Rest\EntryPoint->execute()
#22 /srv/mediawiki/php-1.34.0-wmf.23/rest.php(31): MediaWiki\Rest\EntryPoint::main()
#23 /srv/mediawiki/w/rest.php(3): require(string)
#24 {main}

Details

Related Gerrit Patches:
mediawiki/services/parsoid : masterTry to improve the comment introduced in c78d22a
mediawiki/services/parsoid : masterClone attributes before expanding to DOM for data-mw

Event Timeline

ssastry created this task.Sep 20 2019, 9:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 20 2019, 9:10 PM
ssastry triaged this task as Medium priority.Sep 20 2019, 9:10 PM
ssastry changed the subtype of this task from "Task" to "Bug Report".
ssastry moved this task from Backlog to Bugs on the Parsoid-PHP board.
Arlolra renamed this task from Undefined $src in TokenUtils.php::tokensToString to Undefined property: stdClass::$src in TokenUtils.php::tokensToString.Sep 23 2019, 10:03 PM
Arlolra updated the task description. (Show Details)
Arlolra claimed this task.Sep 23 2019, 10:10 PM

Change 538946 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Clone attributes before expanding to DOM for data-mw

https://gerrit.wikimedia.org/r/538946

Change 538946 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Clone attributes before expanding to DOM for data-mw

https://gerrit.wikimedia.org/r/538946

ssastry closed this task as Resolved.Sep 25 2019, 1:36 PM

Change 539152 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Try to improve the comment introduced in c78d22a

https://gerrit.wikimedia.org/r/539152

Change 539152 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Try to improve the comment introduced in c78d22a

https://gerrit.wikimedia.org/r/539152

Mentioned in SAL (#wikimedia-operations) [2019-09-30T20:43:35Z] <arlolra> Updated Parsoid to 1922eb6 (T233459, T230359, T208070)